# Created by pyp2rpm-3.3.2
%global pypi_name transaction

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 1
Summary:        Transaction management for Python
Group:          Development/Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/transaction
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(repoze.sphinx.autointerface)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(zope.interface)
BuildRequires:  python3dist(sphinx)

%description
This package contains a generic transaction implementation for Python.
It is mainly used by the ZODB.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(coverage)
Requires:       python3dist(mock)
Requires:       python3dist(nose)
Requires:       python3dist(repoze.sphinx.autointerface)
Requires:       python3dist(sphinx)
Requires:       python3dist(zope.interface)

%description -n python3-%{pypi_name}
This package contains a generic transaction implementation for Python.
It is mainly used by the ZODB.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%doc html
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Mon Sep 14 2020 guillomovitch <guillomovitch> 3.0.0-1.mga8
+ Revision: 1626436
- new version 3.0.0

* Sun Feb 16 2020 umeabot <umeabot> 2.4.0-3.mga8
+ Revision: 1532698
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 2.4.0-2.mga8
+ Revision: 1442599
- rebuild for python-3.8

* Sun Aug 25 2019 wally <wally> 2.4.0-1.mga8
+ Revision: 1432177
- imported package python-transaction

